For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Current Card Transaction Limit By CardId

To retrieve a card's current transaction usage against its limits, you can send a GET request to the following endpoint:

GET /api/Limit/v{{version}}/GetCurrentCardTransactionLimitByCardId

The request query should contain the cardId to specify which card's usage to retrieve.

This API streamlines the process of monitoring card activity, offering both the full configured limit setup and a channel-by-channel breakdown of transaction counts and amounts used so far today and this week.

Headers

Name
Value

Content-Type*

application/json

Query Params

Name
Description

cardId

The ID of the card record to retrieve current transaction limits for.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g --request GET '{{baseUrl}}api/Limit/v{{version}}/GetCurrentCardTransactionLimitByCardId?cardId=5099f14c-b963-4919-95a4-104a42eeedd8' \
--header 'Content-Type: application/json' \
--data '{
  "online_Daily_Transaction_Count": 5,
  "cardId": "5099f14c-b963-4919-95a4-104a42eeedd8"
}'
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "limitConfig": {
      "atM_Daily_Withdrawal_Limit": 0,
      "atM_Maximum_Daily_Withdrawal_Limit": 0,
      "atM_Single_Withdrawal_Limit": 0,
      "atM_Maximum_Single_Withdrawal_Limit": 0,
      "atM_Daily_Withdrawal_Count": 0,
      "atM_Maximum_Daily_Withdrawal_Count": 0,
      "atM_Weekly_Withdrawal_Limit": 0,
      "atM_Maximum_Weekly_Withdrawal_Limit": 0,
      "poS_Daily_Transaction_Limit": 0,
      "poS_Maximum_Daily_Transaction_Limit": 0,
      "poS_Daily_Transaction_Count": 0,
      "poS_Maximum_Daily_Transaction_Count": 0,
      "poS_Daily_Withdrawal_Limit": 0,
      "poS_Maximum_Daily_Withdrawal_Limit": 0,
      "poS_Weekly_Withdrawal_Limit": 0,
      "poS_Maximum_Weekly_Withdrawal_Limit": 0,
      "online_Daily_Transaction_Limit": 0,
      "online_Maximum_Daily_Transaction_Limit": 0,
      "online_Daily_Transaction_Count": 0,
      "online_Maximum_Daily_Transaction_Count": 0
    },
    "currentTransactionLimits": [
      {
        "channel": 0,
        "totalDailyCardTrxCount": 0,
        "totalDailyCardTrxAmount": 0,
        "totalWeeklyCardTrxAmount": 0
      }
    ]
  }
}

Last updated